[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| PLSAOptions Class Reference |

Option object for the pLSA algorithm. More...

`#include <vigra/unsupervised_decomposition.hxx>`

## Public Member Functions

PLSAOptions & | maximumNumberOfIterations (unsigned int n)
PLSAOptions & | minimumRelativeGain (double g)
PLSAOptions & | normalizedComponentWeights (bool v=true)
| PLSAOptions ()

## Detailed Description

Option object for the pLSA algorithm.

## Constructor & Destructor Documentation

## ◆ PLSAOptions()

PLSAOptions | ( |  | ) |

Initialize all options with default values.

## Member Function Documentation

## ◆ maximumNumberOfIterations()

PLSAOptions& maximumNumberOfIterations | ( | unsigned int | n | ) |

Maximum number of iterations which is performed by the pLSA algorithm.

default: 50

## ◆ minimumRelativeGain()

PLSAOptions& minimumRelativeGain | ( | double | g | ) |

Minimum relative gain which is required for the algorithm to continue the iterations.

default: 1e-4

## ◆ normalizedComponentWeights()

PLSAOptions& normalizedComponentWeights | ( | bool | v = `true` | ) |

Normalize the entries of the zv result array.

If true, the columns of zv sum to one. Otherwise, they have the same column sum as the original feature matrix.

default: true

The documentation for this class was generated from the following file:

- vigra/unsupervised_decomposition.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1